//genMethods "-g" "-t" "Vertex*" "-h" "SubSet" "-I" "LINK/graph/Vertex.h" "-I" "LINK/basic/SubSet.h" "-y" "display_subset_vertex" "-d" "graph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>
#include <LINK/graph/Vertex.h>
#include <LINK/basic/SubSet.h>
#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
void display_subset_vertex(SCM, SCM, int);
typedef Vertex* _Vertex_;
typedef SubSet<Vertex* > _SubSet_Vertex__;
static SubSet<Vertex* > s63;
typedef SubSet<Vertex* > _SubSet_Vertex__;
#define _SubSet_Vertex__DATA(x) ((SubSet<Vertex* >*) (EXTDATA(x)))
#define _SubSet_Vertex__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<SubSet<Vertex* > >::type))
#define _SubSet_Vertex__ISNT_DATA(x) (!IS_DATA(x))
#define _SubSet_Vertex__CXX_DATA(x) (*(SubSet<Vertex* >*) (EXTDATA(VAL(x))))
#define _SubSet_Vertex__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<SubSet<Vertex* > >::type))
#define _SubSet_Vertex__CXX_ISNT_DATA(x) (!CXX_IS_DATA(x))
#include<strstream.h>
void display_subset_vertex(SCM c, SCM port, int mode)
{
        ostrstream oss;
	if (_SubSet_Vertex__DATA(c))		
        	oss << *_SubSet_Vertex__DATA(c);
        oss << ends;				
        char *buffer = oss.str();		
        Puts(buffer, (port));		
        delete buffer;
}
// define your new methods above 
// and register them using STk_add_new_cpp_primitive() below
void genExtra_SubSet_Vertex__Methods() {}
